MakePartition Combinatorial
- stephane
- Topic Author
- Offline
- New Member
Less
More
- Posts: 13
- Thank you received: 0
13 years 4 months ago #5509
by stephane
MakePartition Combinatorial was created by stephane
Hi,
I am trying to create a bloc with a parallelepiped and 500 faces on the Top of the parallelepiped. Each face represents a source.
So first I create the 3D parallelepiped ( and the 2D faces (F1...F500).
Second,
(1) geompy.MakePartition() fails when two faces are very closed together (edges overlapped).
Maybe there is a treatment like : JointToVeryClosedEdge()?
(2) Calling B1 = geompy.MakePartition(, [F1],..."SOLID",...)
... # 500 times
B500 = geompy.MakePartition([B499], [F500],..."SOLID",...)
time consuming grows up drastically during the steps
Probably a problem of combination
So my questions are:
Does there is a treatment to avoid overlap of rectangular faces?
Does there is another method to compound 2D rectangular faces with a 3D bloc?
Thanks
I am trying to create a bloc with a parallelepiped and 500 faces on the Top of the parallelepiped. Each face represents a source.
So first I create the 3D parallelepiped ( and the 2D faces (F1...F500).
Second,
(1) geompy.MakePartition() fails when two faces are very closed together (edges overlapped).
Maybe there is a treatment like : JointToVeryClosedEdge()?
(2) Calling B1 = geompy.MakePartition(, [F1],..."SOLID",...)
... # 500 times
B500 = geompy.MakePartition([B499], [F500],..."SOLID",...)
time consuming grows up drastically during the steps
Probably a problem of combination
So my questions are:
Does there is a treatment to avoid overlap of rectangular faces?
Does there is another method to compound 2D rectangular faces with a 3D bloc?
Thanks
Moderators: catux
Time to create page: 0.112 seconds